Iot Hub Resource - Get Endpoint Health
Dapatkan kesehatan untuk titik akhir perutean.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Devices/IotHubs/{iotHubName}/routingEndpointsHealth?api-version=2018-04-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
iot
|
path | True |
|
|
|
resource
|
path | True |
|
|
|
subscription
|
path | True |
|
Pengidentifikasi langganan. |
|
api-version
|
query | True |
|
Versi API. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
DefaultErrorResponse |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
IotHubResource_GetEndpointHealth
Sample Request
GET https://management.azure.com/subscriptions/91d12660-3dec-467a-be2a-213b5544ddc0/resourceGroups/myResourceGroup/providers/Microsoft.Devices/IotHubs/testHub/routingEndpointsHealth?api-version=2018-04-01
Sample Response
{
"value": [
{
"endpointId": "id1",
"healthStatus": "healthy"
},
{
"endpointId": "id2",
"healthStatus": "unknown"
}
]
}
Definisi
|
Endpoint |
Data kesehatan untuk titik akhir |
|
Endpoint |
Array objek EndpointHealthData yang diserialisasikan JSON dengan tautan berikutnya. |
|
Endpoint |
Kode status kesehatan titik akhir |
|
Error |
Detail kesalahan. |
EndpointHealthData
Data kesehatan untuk titik akhir
| Name | Type | Description |
|---|---|---|
| endpointId |
|
Id titik akhir |
| healthStatus |
Kode status kesehatan titik akhir |
EndpointHealthDataListResult
Array objek EndpointHealthData yang diserialisasikan JSON dengan tautan berikutnya.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Tautkan ke hasil lainnya |
| value |
Array data kesehatan Titik Akhir yang diserialisasikan JSON |
EndpointHealthStatus
Kode status kesehatan titik akhir
| Name | Type | Description |
|---|---|---|
| dead |
|
|
| healthy |
|
|
| unhealthy |
|
|
| unknown |
|
ErrorDetails
Detail kesalahan.
| Name | Type | Description |
|---|---|---|
| code |
|
Kode kesalahan. |
| details |
|
Detail kesalahan. |
| httpStatusCode |
|
Kode status HTTP. |
| message |
|
Pesan kesalahan. |